Bug 1411459 - Display parent tenant only when it is allowed by RBAC
Summary: Display parent tenant only when it is allowed by RBAC
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 5.7.1
Assignee: Libor Pichler
QA Contact: Aziza Karol
URL:
Whiteboard:
Depends On: 1411342
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-09 19:28 UTC by Satoe Imaishi
Modified: 2017-02-27 19:18 UTC (History)
5 users (show)

Fixed In Version: 5.7.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1411342
Environment:
Last Closed: 2017-02-27 19:18:51 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 0 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2017-01-09 19:35:43 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/48e5f64276de44520dfc6afcca14531138391095

commit 48e5f64276de44520dfc6afcca14531138391095
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Mon Nov 28 18:20:13 2016 +0100
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Jan 9 14:29:03 2017 -0500

    Merge pull request #12848 from lpichler/show_parent_tenant_only_when_it_is_allowed
    
    Display parent tenant only when it is allowed by RBAC
    (cherry picked from commit 82d18eaadd6df099c64ffb4e773482b6fc630806)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1411459

 app/models/tenant.rb                         | 4 ++++
 app/views/ops/_rbac_tenant_details.html.haml | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

Comment 4 Aziza Karol 2017-01-31 11:03:01 UTC
Parent tenant only displayed when it is allowed by RBAC.

Verified:
5.7.1.0.20170124142149_8a5f4d5

Comment 6 errata-xmlrpc 2017-02-27 19:18:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.